package org.shunt.contorller;

import org.shunt.contorller.request.XmoseRequest;
import org.shunt.contorller.request.XmoseResponse;
import org.shunt.contorller.response.ShuntQuotaVO;
import org.shunt.contorller.response.StudentScoreVO;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

@RestController
@Api("专业分流")
@RequestMapping("/shunt")
public class ShuntController {

    @GetMapping("/quota")
    @ApiOperation(value = "专业分流名额", notes="专业分流名额")
    public XmoseResponse<ShuntQuotaVO> bannerList(XmoseRequest<?> request) {
    	
        return XmoseResponse.success(ShuntQuotaVO.builder().build());
    }

    @GetMapping("/score")
    @ApiOperation(value = "本人成绩", notes="本人成绩")
    public XmoseResponse<StudentScoreVO> getScore(XmoseRequest<?> request) {
    	
       return XmoseResponse.success(StudentScoreVO.builder().build());
    }
    @GetMapping("/view-special-apply")
    @ApiOperation(value = "浏览特别申请", notes="查浏览特别申请")
    public XmoseResponse<StudentScoreVO>viewSpecialApply(XmoseRequest<?> request) {
    	
       return XmoseResponse.success(StudentScoreVO.builder().build());
    }
    
    @GetMapping("/get-special-apply")
    @ApiOperation(value = "查询特别申请结果", notes="查询特别申请结果")
    public XmoseResponse<StudentScoreVO>getSpecialApply(XmoseRequest<?> request) {
    	
       return XmoseResponse.success(StudentScoreVO.builder().build());
    }
    
    @PostMapping("/special-apply")
    @ApiOperation(value = "特别申请", notes="特别申请")
    public XmoseResponse<?> specialApply(XmoseRequest<?> request) {
    	
       return XmoseResponse.success();
    }
    
    
    @PostMapping("/upload")
    @ApiOperation(value = "上传文件", notes="上传文件")
    public XmoseResponse<?> upload(XmoseRequest<?> request) {
    	
       return XmoseResponse.success();
    }
    
}
